package com.wayne.www.waynelib.entity

import android.os.Parcel
import android.os.Parcelable

data class ShellTrxStatus(val licensePlate: String = "", var trxStatusText: String = "",
                          var trxStatus: ShellTrxStatusEnum, var id: String = "", var backgroundColor: String = "", var textColor: String = "") : Parcelable {
    constructor(parcel: Parcel) : this(
            parcel.readString().toString(),
            parcel.readString().toString(),
            parcel.readSerializable() as ShellTrxStatusEnum,
            parcel.readString().toString(),
            parcel.readString().toString(),
            parcel.readString().toString()) {
    }

    override fun writeToParcel(parcel: Parcel, flags: Int) {
        parcel.writeString(licensePlate)
        parcel.writeString(trxStatusText)
        parcel.writeSerializable(trxStatus)
        parcel.writeString(id)
        parcel.writeString(backgroundColor)
        parcel.writeString(textColor)
    }

    override fun describeContents(): Int {
        return 0
    }

    companion object CREATOR : Parcelable.Creator<ShellTrxStatus> {
        override fun createFromParcel(parcel: Parcel): ShellTrxStatus {
            return ShellTrxStatus(parcel)
        }

        override fun newArray(size: Int): Array<ShellTrxStatus?> {
            return arrayOfNulls(size)
        }
    }

}